Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.schedule
Class BaseJobEntry

    java.lang.Object
      org.apache.torque.om.BaseObject
          org.apache.turbine.services.schedule.BaseJobEntry

All Implemented Interfaces:
  Serializable, org.apache.torque.om.Persistent

Direct Known Subclasses:
  JobEntry

    public abstract class BaseJobEntry

extends org.apache.torque.om.BaseObject

This class was autogenerated by Torque on: [Thu Jun 23 17:25:46 CEST 2011] You should not use this class directly. It should not even be extended all references should be to JobEntry

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.torque.om.BaseObject
`NEW_ID`

Constructor Summary
`BaseJobEntry()`

Method Summary
`JobEntry` | `copy()` Makes a copy of this object.
`JobEntry` | `copy(boolean deepcopy)` Makes a copy of this object.
`JobEntry` | `copy(boolean deepcopy, Connection con)` Makes a copy of this object using connection.
`JobEntry` | `copy(Connection con)` Makes a copy of this object using connection.
`protected JobEntry` | `copyInto(JobEntry copyObj)` Fills the copyObj with the contents of this object.
`protected JobEntry` | `copyInto(JobEntry copyObj, boolean deepcopy)` Fills the copyObj with the contents of this object.
`protected JobEntry` | `copyInto(JobEntry copyObj, boolean deepcopy, Connection con)` Fills the copyObj with the contents of this object using connection.
`protected JobEntry` | `copyInto(JobEntry copyObj, Connection con)` Fills the copyObj with the contents of this object using connection.
`Object` | `getByName(String name)` Retrieves a field from the object by field (Java) name passed in as a String.
`Object` | `getByPeerName(String name)` Retrieves a field from the object by name passed in as a String.
`Object` | `getByPosition(int pos)` Retrieves a field from the object by Position as specified in the xml schema.
`int` | `getDayOfMonth()` Get the DayOfMonth
`String` | `getEmail()` Get the Email
`static List<String>` | `getFieldNames()` Generate a list of field names.
`int` | `getHour()` Get the Hour
`int` | `getJobId()` Get the JobId
`int` | `getMinute()` Get the Minute
`JobEntryPeer` | `getPeer()` returns a peer instance associated with this om.
`org.apache.torque.om.ObjectKey` | `getPrimaryKey()` returns an id that differentiates this object from others of its class.
`byte[]` | `getProperty()` Get the Property
`int` | `getSecond()` Get the Second
`org.apache.torque.map.TableMap` | `getTableMap()` Retrieves the TableMap object related to this Table data without compiler warnings of using getPeer().getTableMap().
`String` | `getTask()` Get the Task
`int` | `getWeekDay()` Get the WeekDay
`void` | `save()` Stores the object in the database.
`void` | `save(Connection con)` Stores the object in the database.
`void` | `save(String dbName)` Stores the object in the database.
`boolean` | `setByName(String name, Object value)` Set a field in the object by field (Java) name.
`boolean` | `setByPeerName(String name, Object value)` Set field values by Peer Field Name
`boolean` | `setByPosition(int position, Object value)` Set field values by its position (zero based) in the XML schema.
`void` | `setDayOfMonth(int v)` Set the value of DayOfMonth
`void` | `setEmail(String v)` Set the value of Email
`void` | `setHour(int v)` Set the value of Hour
`void` | `setJobId(int v)` Set the value of JobId
`void` | `setMinute(int v)` Set the value of Minute
`void` | `setPrimaryKey(org.apache.torque.om.ObjectKey key)` Set the PrimaryKey using ObjectKey.
`void` | `setPrimaryKey(String key)` Set the PrimaryKey using a String.
`void` | `setProperty(byte[] v)` Set the value of Property
`void` | `setSecond(int v)` Set the value of Second
`void` | `setTask(String v)` Set the value of Task
`void` | `setWeekDay(int v)` Set the value of WeekDay
`String` | `toString()`

Methods inherited from class org.apache.torque.om.BaseObject
`equals, equals, getLog, hashCode, isModified, isNew, resetModified, setModified, setNew, setPrimaryKey`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseJobEntry

    public BaseJobEntry()

Method Detail

### getJobId

    public int getJobId()

  Get the JobId

  Returns:
    int

### setJobId

    public void setJobId(int v)

  Set the value of JobId

  Parameters:
    `v` - new value

### getSecond

    public int getSecond()

  Get the Second

  Returns:
    int

### setSecond

    public void setSecond(int v)

  Set the value of Second

  Parameters:
    `v` - new value

### getMinute

    public int getMinute()

  Get the Minute

  Returns:
    int

### setMinute

    public void setMinute(int v)

  Set the value of Minute

  Parameters:
    `v` - new value

### getHour

    public int getHour()

  Get the Hour

  Returns:
    int

### setHour

    public void setHour(int v)

  Set the value of Hour

  Parameters:
    `v` - new value

### getWeekDay

    public int getWeekDay()

  Get the WeekDay

  Returns:
    int

### setWeekDay

    public void setWeekDay(int v)

  Set the value of WeekDay

  Parameters:
    `v` - new value

### getDayOfMonth

    public int getDayOfMonth()

  Get the DayOfMonth

  Returns:
    int

### setDayOfMonth

    public void setDayOfMonth(int v)

  Set the value of DayOfMonth

  Parameters:
    `v` - new value

### getTask

    public String getTask()

  Get the Task

  Returns:
    String

### setTask

    public void setTask(String v)

  Set the value of Task

  Parameters:
    `v` - new value

### getEmail

    public String getEmail()

  Get the Email

  Returns:
    String

### setEmail

    public void setEmail(String v)

  Set the value of Email

  Parameters:
    `v` - new value

### getProperty

    public byte[] getProperty()

  Get the Property

  Returns:
    byte[]

### setProperty

    public void setProperty(byte[] v)

  Set the value of Property

  Parameters:
    `v` - new value

### getFieldNames

    public static List<String> getFieldNames()

  Generate a list of field names.

  Returns:
    a list of field names

### getByName

    public Object getByName(String name)

  Retrieves a field from the object by field (Java) name passed in as a String.

  Overrides:
    `getByName` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `name` - field name
  Returns:
    value

### setByName

    public boolean setByName(String name,
                             Object value)
                      throws org.apache.torque.TorqueException,
                             IllegalArgumentException

  Set a field in the object by field (Java) name.

  Overrides:
    `setByName` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `name` - field name
    `value` - field value
  Returns:
    True if value was set, false if not (invalid name / protected field).
  Throws:
    `IllegalArgumentException` - if object type of value does not match field object type.
    `org.apache.torque.TorqueException` - If a problem occurs with the set[Field] method.

### getByPeerName

    public Object getByPeerName(String name)

  Retrieves a field from the object by name passed in as a String. The String must be one of the static Strings defined in this Class' Peer.

  Overrides:
    `getByPeerName` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `name` - peer name
  Returns:
    value

### setByPeerName

    public boolean setByPeerName(String name,
                                 Object value)
                          throws org.apache.torque.TorqueException,
                                 IllegalArgumentException

  Set field values by Peer Field Name

  Overrides:
    `setByPeerName` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `name` - field name
    `value` - field value
  Returns:
    True if value was set, false if not (invalid name / protected field).
  Throws:
    `IllegalArgumentException` - if object type of value does not match field object type.
    `org.apache.torque.TorqueException` - If a problem occurs with the set[Field] method.

### getByPosition

    public Object getByPosition(int pos)

  Retrieves a field from the object by Position as specified in the xml schema. Zero-based.

  Overrides:
    `getByPosition` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `pos` - position in xml schema
  Returns:
    value

### setByPosition

    public boolean setByPosition(int position,
                                 Object value)
                          throws org.apache.torque.TorqueException,
                                 IllegalArgumentException

  Set field values by its position (zero based) in the XML schema.

  Overrides:
    `setByPosition` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `position` - The field position
    `value` - field value
  Returns:
    True if value was set, false if not (invalid position / protected field).
  Throws:
    `IllegalArgumentException` - if object type of value does not match field object type.
    `org.apache.torque.TorqueException` - If a problem occurs with the set[Field] method.

### save

    public void save()
              throws Exception

  Stores the object in the database. If the object is new, it inserts it; otherwise an update is performed.

  Specified by:
    `save` in interface `org.apache.torque.om.Persistent`
  Specified by:
    `save` in class `org.apache.torque.om.BaseObject`
  Throws:
    `Exception`

### save

    public void save(String dbName)
              throws org.apache.torque.TorqueException

  Stores the object in the database. If the object is new, it inserts it; otherwise an update is performed. Note: this code is here because the method body is auto-generated conditionally and therefore needs to be in this file instead of in the super class, BaseObject.

  Specified by:
    `save` in interface `org.apache.torque.om.Persistent`
  Specified by:
    `save` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `dbName` -
  Throws:
    `org.apache.torque.TorqueException`

### save

    public void save(Connection con)
              throws org.apache.torque.TorqueException

  Stores the object in the database. If the object is new, it inserts it; otherwise an update is performed. This method is meant to be used as part of a transaction, otherwise use the save() method and the connection details will be handled internally

  Specified by:
    `save` in interface `org.apache.torque.om.Persistent`
  Specified by:
    `save` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `con` -
  Throws:
    `org.apache.torque.TorqueException`

### setPrimaryKey

    public void setPrimaryKey(org.apache.torque.om.ObjectKey key)

  Set the PrimaryKey using ObjectKey.

  Specified by:
    `setPrimaryKey` in interface `org.apache.torque.om.Persistent`
  Overrides:
    `setPrimaryKey` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `key` - jobId ObjectKey

### setPrimaryKey

    public void setPrimaryKey(String key)

  Set the PrimaryKey using a String.

  Specified by:
    `setPrimaryKey` in interface `org.apache.torque.om.Persistent`
  Overrides:
    `setPrimaryKey` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `key` -

### getPrimaryKey

    public org.apache.torque.om.ObjectKey getPrimaryKey()

  returns an id that differentiates this object from others of its class.

  Specified by:
    `getPrimaryKey` in interface `org.apache.torque.om.Persistent`
  Overrides:
    `getPrimaryKey` in class `org.apache.torque.om.BaseObject`

### copy

    public JobEntry copy()
                  throws org.apache.torque.TorqueException

  Makes a copy of this object. It creates a new object filling in the simple attributes. It then fills all the association collections and sets the related objects to isNew=true.

  Throws:
    `org.apache.torque.TorqueException`

### copy

    public JobEntry copy(Connection con)
                  throws org.apache.torque.TorqueException

  Makes a copy of this object using connection. It creates a new object filling in the simple attributes. It then fills all the association collections and sets the related objects to isNew=true.

  Parameters:
    `con` - the database connection to read associated objects.
  Throws:
    `org.apache.torque.TorqueException`

### copy

    public JobEntry copy(boolean deepcopy)
                  throws org.apache.torque.TorqueException

  Makes a copy of this object. It creates a new object filling in the simple attributes. If the parameter deepcopy is true, it then fills all the association collections and sets the related objects to isNew=true.

  Parameters:
    `deepcopy` - whether to copy the associated objects.
  Throws:
    `org.apache.torque.TorqueException`

### copy

    public JobEntry copy(boolean deepcopy,
                         Connection con)
                  throws org.apache.torque.TorqueException

  Makes a copy of this object using connection. It creates a new object filling in the simple attributes. If the parameter deepcopy is true, it then fills all the association collections and sets the related objects to isNew=true.

  Parameters:
    `deepcopy` - whether to copy the associated objects.
    `con` - the database connection to read associated objects.
  Throws:
    `org.apache.torque.TorqueException`

### copyInto

    protected JobEntry copyInto(JobEntry copyObj)
                         throws org.apache.torque.TorqueException

  Fills the copyObj with the contents of this object. The associated objects are also copied and treated as new objects.

  Parameters:
    `copyObj` - the object to fill.
  Throws:
    `org.apache.torque.TorqueException`

### copyInto

    protected JobEntry copyInto(JobEntry copyObj,
                                Connection con)
                         throws org.apache.torque.TorqueException

  Fills the copyObj with the contents of this object using connection. The associated objects are also copied and treated as new objects.

  Parameters:
    `copyObj` - the object to fill.
    `con` - the database connection to read associated objects.
  Throws:
    `org.apache.torque.TorqueException`

### copyInto

    protected JobEntry copyInto(JobEntry copyObj,
                                boolean deepcopy)
                         throws org.apache.torque.TorqueException

  Fills the copyObj with the contents of this object. If deepcopy is true, The associated objects are also copied and treated as new objects.

  Parameters:
    `copyObj` - the object to fill.
    `deepcopy` - whether the associated objects should be copied.
  Throws:
    `org.apache.torque.TorqueException`

### copyInto

    protected JobEntry copyInto(JobEntry copyObj,
                                boolean deepcopy,
                                Connection con)
                         throws org.apache.torque.TorqueException

  Fills the copyObj with the contents of this object using connection. If deepcopy is true, The associated objects are also copied and treated as new objects.

  Parameters:
    `copyObj` - the object to fill.
    `deepcopy` - whether the associated objects should be copied.
    `con` - the database connection to read associated objects.
  Throws:
    `org.apache.torque.TorqueException`

### getPeer

    public JobEntryPeer getPeer()

  returns a peer instance associated with this om. Since Peer classes are not to have any instance attributes, this method returns the same instance for all member of this class. The method could therefore be static, but this would prevent one from overriding the behavior.

### getTableMap

    public org.apache.torque.map.TableMap getTableMap()
                                               throws org.apache.torque.TorqueException

  Retrieves the TableMap object related to this Table data without compiler warnings of using getPeer().getTableMap().

  Overrides:
    `getTableMap` in class `org.apache.torque.om.BaseObject`
  Returns:
    The associated TableMap object.
  Throws:
    `org.apache.torque.TorqueException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.